function onTalk()
  disableMovement()
  makeUnskippable ()
  say("CC_Flamecrafter113_TemporalRift_Settings_Arrows")

    choiceDialog({
        {
            "CC_Flamecrafter113_TemporalRift_Settings_Arrows_OptionNever",
            onChosen = function ()
                setFlag("ArrowNever", true)
                setFlag("ArrowNone", false)
                setFlag("ArrowSome", false)
                setFlag("ArrowAll", false)
                closeChoiceDialog()
            end
        },
        {
            "CC_Flamecrafter113_TemporalRift_Settings_Arrows_OptionNone",
            onChosen = function ()
                setFlag("ArrowNever", false)
                setFlag("ArrowNone", true)
                setFlag("ArrowSome", false)
                setFlag("ArrowAll", false)
                closeChoiceDialog()
            end
        },
        {
            "CC_Flamecrafter113_TemporalRift_Settings_Arrows_OptionSome",
            onChosen = function ()
                setFlag("ArrowNever", false)
                setFlag("ArrowNone", false)
                setFlag("ArrowSome", true)
                setFlag("ArrowAll", false)
                closeChoiceDialog()
            end
        },
        {
            "CC_Flamecrafter113_TemporalRift_Settings_Arrows_OptionAll",
            onChosen = function ()
                setFlag("ArrowNever", false)
                setFlag("ArrowNone", false)
                setFlag("ArrowSome", false)
                setFlag("ArrowAll", true)
                closeChoiceDialog()
            end
        }
    })
end



function onEnd()
  enableMovement()
end